import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
export declare class ConfigService {
    protected http: HttpClient;
    protected configUrl: string;
    config: any;
    constructor(http: HttpClient);
    initConfig(): Promise<{}>;
    getBaseUrl(id?: string): any;
    getConfig(id?: string): any;
    loadConfig(): Observable<any>;
}
export declare function ConfigFactory(config: ConfigService): () => Promise<{}>;
export declare function init(): {
    provide: import("@angular/core").InjectionToken<(() => void)[]>;
    useFactory: typeof ConfigFactory;
    deps: (typeof ConfigService)[];
    multi: boolean;
};
declare const ConfigModule: {
    init: typeof init;
};
export { ConfigModule };
